Subject: Re: [PATCH] Eliminate confusing "won't bisect on seeked tree" failure

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Feb 2008 09:18:03 -0800

Carl Worth <[email-masked]> writes:

> This error message is very confusing---it doesn't tell the user
> anything about how to fix the situation. And the actual fix
> for the situation ("git bisect reset") does a checkout of a
> potentially random branch, (compared to what the user wants to
> be on for the bisect she is starting).

The message itself refers to a Cogito "feature" and I suspect
that removing the check and refusal would confuse Cogito.  While
I think the patch itself is Ok for us, we may want to wait a bit
for a while. until Cogito users all die out.